<?php
class PedidoHistorico extends UtilObjeto {

	public function __construct($params=""){
		parent::__construct(strtolower(get_class()), $params);
	}

	public static function listar($filtro=""){
		global $db;
        $sql = "SELECT h.*, s.nome status
				FROM   rz2_pedido_historico h
				JOIN   rz2_pedido_status s
				ON     h.id_pedido_status = s.id
				".$filtro;
        // exit($sql);
        $rs = executaSql($sql);
        $arrLista = array();
        while($rg = $rs->fetchRow()){
            foreach($rg as $campo => $valor){
                $arrLista[$rg['id']][$campo] = $valor;
            }
        }
        return (count($arrLista) > 0) ? $arrLista : false;
	}

}
?>